AlphaPolymer.Code
Date: 2019-10-22

org.jmol.modelsetbio

## Enum AlphaPolymer.Code

- java.lang.Object
- - java.lang.Enum<AlphaPolymer.Code>
  - - org.jmol.modelsetbio.AlphaPolymer.Code

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AlphaPolymer.Code>
  Enclosing class:
    AlphaPolymer

      private static enum AlphaPolymer.Code
      extends java.lang.Enum<AlphaPolymer.Code>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BETA_SHEET`
    `LEFT_HELIX`
    `LEFT_TURN`
    `NADA`
    `RIGHT_HELIX`
    `RIGHT_TURN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AlphaPolymer.Code` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AlphaPolymer.Code[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NADA

          public static final AlphaPolymer.Code NADA

    - #### RIGHT_HELIX

          public static final AlphaPolymer.Code RIGHT_HELIX

    - #### BETA_SHEET

          public static final AlphaPolymer.Code BETA_SHEET

    - #### LEFT_HELIX

          public static final AlphaPolymer.Code LEFT_HELIX

    - #### LEFT_TURN

          public static final AlphaPolymer.Code LEFT_TURN

    - #### RIGHT_TURN

          public static final AlphaPolymer.Code RIGHT_TURN

  - ### Method Detail

    - #### values

          public static AlphaPolymer.Code[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AlphaPolymer.Code c : AlphaPolymer.Code.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AlphaPolymer.Code valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null